Orxonox: orxonox::PongCenterpoint Class Reference

# orxonox::PongCenterpoint Class Reference

`#include <src/orxonox/objects/worldentities/PongCenterpoint.h>`

Inheritance diagram for orxonox::PongCenterpoint:

List of all members.

## Public Member Functions

virtual void | changedGametype ()
float | getBallSpeed () const
const std::string & | getBalltemplate () const
float | getBatLength () const
float | getBatSpeed () const
const std::string & | getBattemplate () const
Vector2 | getFieldDimension () const
| PongCenterpoint (BaseObject *creator)
void | setBallSpeed (float ballspeed)
void | setBalltemplate (const std::string &balltemplate)
void | setBatLength (float batlength)
void | setBatSpeed (float batspeed)
void | setBattemplate (const std::string &battemplate)
void | setFieldDimension (const Vector2 &dimension)
virtual void | XMLPort (Element &xmlelement, XMLPort::Mode mode)
| XML loading and saving.
virtual | ~PongCenterpoint ()

## Private Member Functions

void | checkGametype ()

## Private Attributes

float | ballspeed_
std::string | balltemplate_
float | batlength_
float | batspeed_
std::string | battemplate_
float | height_
float | width_

## Constructor & Destructor Documentation

orxonox::PongCenterpoint::PongCenterpoint | ( | BaseObject * | creator | ) |

References ballspeed_, batlength_, batspeed_, checkGametype(), height_, RegisterObject, and width_.

virtual orxonox::PongCenterpoint::~PongCenterpoint | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

void orxonox::PongCenterpoint::changedGametype | ( |  | ) | `[virtual]`

Reimplemented from orxonox::BaseObject.

References checkGametype(), and SUPER.

void orxonox::PongCenterpoint::checkGametype | ( |  | ) | `[private]`

References Class, orxonox::BaseObject::getGametype(), orxonox::OrxonoxClass::isA(), and orxonox::Pong::setCenterpoint().

Referenced by changedGametype(), and PongCenterpoint().

float orxonox::PongCenterpoint::getBallSpeed | ( |  | ) | const`[inline]`

Referenced by orxonox::Pong::startBall(), and XMLPort().

const std::string& orxonox::PongCenterpoint::getBalltemplate | ( |  | ) | const`[inline]`

Referenced by orxonox::Pong::start(), and XMLPort().

float orxonox::PongCenterpoint::getBatLength | ( |  | ) | const`[inline]`

Referenced by orxonox::Pong::start(), and XMLPort().

float orxonox::PongCenterpoint::getBatSpeed | ( |  | ) | const`[inline]`

Referenced by orxonox::Pong::start(), and XMLPort().

const std::string& orxonox::PongCenterpoint::getBattemplate | ( |  | ) | const`[inline]`

Referenced by orxonox::Pong::start(), and XMLPort().

Vector2 orxonox::PongCenterpoint::getFieldDimension | ( |  | ) | const`[inline]`

References orxonox::MT_Type::Vector2.

Referenced by orxonox::Pong::playerScored(), orxonox::Pong::start(), and XMLPort().

void orxonox::PongCenterpoint::setBallSpeed | ( | float | ballspeed | ) | `[inline]`

Referenced by XMLPort().

void orxonox::PongCenterpoint::setBalltemplate | ( | const std::string & | balltemplate | ) | `[inline]`

Referenced by XMLPort().

void orxonox::PongCenterpoint::setBatLength | ( | float | batlength | ) | `[inline]`

Referenced by XMLPort().

void orxonox::PongCenterpoint::setBatSpeed | ( | float | batspeed | ) | `[inline]`

Referenced by XMLPort().

void orxonox::PongCenterpoint::setBattemplate | ( | const std::string & | battemplate | ) | `[inline]`

Referenced by XMLPort().

void orxonox::PongCenterpoint::setFieldDimension | ( | const Vector2 & | dimension | ) | `[inline]`

Referenced by XMLPort().

void orxonox::PongCenterpoint::XMLPort | ( | Element & | xmlelement,
|  | XMLPort::Mode | mode |
| ) |  |  | `[virtual]`

XML loading and saving.

Parameters:

  | xmlelement | The XML-element
  | loading | Loading (true) or saving (false)

Returns:
  The XML-element

Reimplemented from orxonox::WorldEntity.

References getBallSpeed(), getBalltemplate(), getBatLength(), getBatSpeed(), getBattemplate(), getFieldDimension(), setBallSpeed(), setBalltemplate(), setBatLength(), setBatSpeed(), setBattemplate(), setFieldDimension(), SUPER, and XMLPortParam.

## Member Data Documentation

float orxonox::PongCenterpoint::ballspeed_`[private]`

Referenced by PongCenterpoint().

std::string orxonox::PongCenterpoint::balltemplate_`[private]`

float orxonox::PongCenterpoint::batlength_`[private]`

Referenced by PongCenterpoint().

float orxonox::PongCenterpoint::batspeed_`[private]`

Referenced by PongCenterpoint().

std::string orxonox::PongCenterpoint::battemplate_`[private]`

float orxonox::PongCenterpoint::height_`[private]`

Referenced by PongCenterpoint().

float orxonox::PongCenterpoint::width_`[private]`

Referenced by PongCenterpoint().

The documentation for this class was generated from the following files:

- src/orxonox/objects/worldentities/PongCenterpoint.h
- src/orxonox/objects/worldentities/PongCenterpoint.cc